<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\DI\Attributes;

use Attribute;

#[Attribute(Attribute::TARGET_CLASS)]
final class Prototype
{
    public function __construct(public readonly ?string $id = null) {}
}
